Bug 948014 - Review Request: python-backlash - Standalone WebOb port of the Werkzeug Debugger
Summary: Review Request: python-backlash - Standalone WebOb port of the Werkzeug Debugger
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 810626
TreeView+ depends on / blocked
 
Reported: 2013-04-03 19:10 UTC by Luke Macken
Modified: 2016-09-20 02:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 03:13:00 UTC
rbean: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2013-04-03 19:10:39 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-backlash.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-backlash-0.0.1a2-1.fc18.src.rpm
Description:
backlash is a standalone version of the Werkzeug Debugger based on WebOb      
adapted to support for Python3.                                               
                                                                              
backlash has born as a future replacement for WebError in upcoming TurboGears2
versions.                                                                     
                                                                              
Fedora Account System Username: lmacken

Comment 1 Ralph Bean 2013-04-03 19:44:04 UTC
Some static resources appear to be licensed under the Ubuntu Font License.  Question about that raised on the legal list:  http://lists.fedoraproject.org/pipermail/legal/2013-April/002123.html

Comment 2 Ralph Bean 2013-04-03 19:59:27 UTC
Some other comments while we wait to hear back about licensing:

- The package needs a BuildRequires and Requires on python-webobXX.  Not sure which version, but it appears in the setup.py.
- The %check section can be removed.  There aren't any tests.
- It would be cool to query upstream and ask them to include a license file and license headers in their sources.  A ticket at http://github.com/TurboGears/backlash will probably do it.

Comment 3 Ralph Bean 2013-04-03 21:00:37 UTC
Looks like that license is a no-go:  http://lists.fedoraproject.org/pipermail/legal/2013-April/002124.html

Comment 4 Luke Macken 2013-04-03 21:23:25 UTC
Issue filed upstream: https://github.com/TurboGears/backlash/issues/2

Comment 5 Luke Macken 2013-04-03 21:40:33 UTC
- Ubuntu font removed
- %check removed
- python-webob added to Requires

Spec URL: http://lmacken.fedorapeople.org/rpms/python-backlash.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-backlash-0.0.1a2-2.fc18.src.rpm

Comment 6 Ralph Bean 2013-04-04 16:05:33 UTC
Awesome.  Package is APPROVED.

Comment 7 Luke Macken 2013-04-04 17:07:59 UTC
New Package SCM Request
=======================
Package Name: python-backlash
Short Description: Standalone WebOb port of the Werkzeug Debugger
Owners: lmacken ralph
Branches: f19

Comment 8 Gwyn Ciesla 2013-04-04 17:15:49 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2013-04-04 21:41:22 UTC
python-backlash-0.0.1-0.3.a2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-backlash-0.0.1-0.3.a2.fc19

Comment 10 Fedora Update System 2013-04-05 02:52:38 UTC
python-backlash-0.0.1-0.3.a2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 11 Fedora Update System 2013-04-27 03:13:02 UTC
python-backlash-0.0.1-0.3.a2.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.